Search a buyer account source roster
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"sourceExternalAccountId": "<string>",
"displayLabel": "<string>",
"nativeStatus": "<string>",
"generation": 0,
"listingVersion": "<string>",
"observedOperatorDomain": "<string>",
"observedBrandDomain": "<string>",
"observedSandbox": true,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
},
"source": {
"inventorySourceKey": "<string>",
"name": "<string>",
"reconciliation": {
"state": "never",
"lastCompleteAt": "2023-11-07T05:31:56Z",
"diagnosticCode": "<string>",
"diagnosticMessage": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Search a buyer account source roster
Paginate and optionally search the full observed-account roster for one inventory source, with roster age and source health, for an inline account-mapping picker.
GET
/
account-mappings
/
sources
/
{inventorySourceId}
/
roster
Search a buyer account source roster
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/sources/{inventorySourceId}/roster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"sourceExternalAccountId": "<string>",
"displayLabel": "<string>",
"nativeStatus": "<string>",
"generation": 0,
"listingVersion": "<string>",
"observedOperatorDomain": "<string>",
"observedBrandDomain": "<string>",
"observedSandbox": true,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
},
"source": {
"inventorySourceKey": "<string>",
"name": "<string>",
"reconciliation": {
"state": "never",
"lastCompleteAt": "2023-11-07T05:31:56Z",
"diagnosticCode": "<string>",
"diagnosticMessage": "<string>"
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100Maximum string length:
200